## fdm-materials 3.1.0

=== CMakeLists.txt ===
project(fdm_materials NONE)

cmake_minimum_required(VERSION 2.8.12)

include(CMakePackageConfigHelpers)

option(EMBEDDED "Build for Ultimaker Embedded software" OFF)

if(NOT EMBEDDED)
	set(INSTALL_PATH "share/cura/resources/materials"
	    CACHE PATH 
	    "The path to install the materials to. Should ideally be relative to CMAKE_INSTALL_PREFIX"
	    )
else() 
    # Then we're cmaking for Jedi
	set(INSTALL_PATH "share/fdm_materials" 
		CACHE STRING 
		"Destination to install the materials to. Should be relative to CMAKE_INSTALL_PREFIX")
	
	if(IS_ABSOLUTE ${INSTALL_PATH})
    	set(INSTALL_PATH ${INSTALL_PATH})
	else()
	    set(INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${INSTALL_PATH})
	endif()
endif()

file(GLOB _files *.fdm_material)

install(FILES ${_files} DESTINATION ${INSTALL_PATH})

include(CPackConfig.cmake)

=== debian/changelog ===
fdm-materials (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Tue, 16 Jan 2018 23:56:59 +0100

fdm-materials (3.0.3-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Removed license clarification from d/copyright.
    The upstream release has a proper license now (Closes: #881482).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Nov 2017 02:32:43 +0000

fdm-materials (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * New upstream release 3.0.3

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 30 Oct 2017 10:21:16 +0100

fdm-materials (2.5.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Initial Debian release. See #706656.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Oct 2017 22:00:24 +0000

=== debian/control ===
Source: fdm-materials
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12)
Standards-Version: 4.1.3
X-Python3-Version: >= 3.5
Section: misc
Homepage: https://github.com/Ultimaker/fdm_materials
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/fdm-materials.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/fdm-materials.git

Package: fdm-materials
Architecture: all
Depends: ${misc:Depends}
Description: 3D printing material definitions for Cura
 This package contains FDM (Fused Deposition Modelling) material definitions
 for use with the Cura 3D printing application.
 .
 It is recommended to install them along with Cura, but they are not required
 if you only use custom definitions.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=cmake --parallel

## fdm-materials 3.3.0

=== CMakeLists.txt ===
project(fdm_materials NONE)

cmake_minimum_required(VERSION 2.8.12)

include(CMakePackageConfigHelpers)

option(EMBEDDED "Build for Ultimaker Embedded software" OFF)

if(NOT EMBEDDED)
    set(INSTALL_PATH "share/cura/resources/materials"
        CACHE PATH
        "The path to install the materials to. Should ideally be relative to CMAKE_INSTALL_PREFIX"
        )
else()
    # Then we're cmaking for Jedi
    set(INSTALL_PATH "share/fdm_materials"
        CACHE STRING
        "Destination to install the materials to. Should be relative to CMAKE_INSTALL_PREFIX")
    
    if(IS_ABSOLUTE ${INSTALL_PATH})
        set(INSTALL_PATH ${INSTALL_PATH})
    else()
        set(INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${INSTALL_PATH})
    endif()
endif()

file(GLOB _files *.fdm_material)

install(FILES ${_files} DESTINATION ${INSTALL_PATH})

include(CPackConfig.cmake)

=== debian/changelog ===
fdm-materials (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Fixed build instructions
  * Migrated package to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 18:57:23 +0200

fdm-materials (3.2.1-1) unstable; urgency=medium

  * New upstream version
  * Set Multi-Arch:foreign - this package doesn't contain
    anything platform specific

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 08:57:27 +0100

=== debian/control ===
Source: fdm-materials
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12)
Standards-Version: 4.1.4
X-Python3-Version: >= 3.5
Section: misc
Homepage: https://github.com/Ultimaker/fdm_materials
Vcs-Browser: https://salsa.debian.org/3dprinting-team/fdm-materials
Vcs-Git: https://salsa.debian.org/3dprinting-team/fdm-materials.git

Package: fdm-materials
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: 3D printing material definitions for Cura
 This package contains FDM (Fused Deposition Modelling) material definitions
 for use with the Cura 3D printing application.
 .
 It is recommended to install them along with Cura, but they are not required
 if you only use custom definitions.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/fdm_materials-$1\.tar\.gz/ \
  https://github.com/Ultimaker/fdm_materials/tags  .*/(\d\.\S+)\.tar\.gz

## fdm-materials 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,31 @@
     endif()
 endif()
 
-file(GLOB _files *.fdm_material)
+file(GLOB _files *.fdm_material *.sig)
+
+# Determine version number
+find_package(Git)
+
+set(GIT_VERSION "unknown")
+if(GIT_FOUND)
+    execute_process(
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        COMMAND ${GIT_EXECUTABLE} describe --tags --dirty
+        OUTPUT_VARIABLE GIT_VERSION
+        RESULT_VARIABLE GIT_RETURN_VALUE
+        ERROR_QUIET
+        OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+    if(NOT GIT_RETURN_VALUE AND GIT_VERSION)
+        string(REPLACE "/" "_" GIT_VERSION ${GIT_VERSION})
+        set(CPACK_PACKAGE_VERSION "${GIT_VERSION}")
+    endif()
+    message("Package version derived from git: ${GIT_VERSION}")
+endif()
+
+if (DEFINED ENV{GITHUB_ACTIONS})
+    set(CPACK_PACKAGE_VERSION "${GIT_VERSION}+$ENV{GITHUB_SHA}")
+endif()
 
 install(FILES ${_files} DESTINATION ${INSTALL_PATH})

=== debian/changelog ===
fdm-materials (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update watch file to look for official releases only.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 11:13:37 +0100

fdm-materials (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Updated standards
  * Removed explicit Python 3.5 dependency, bullseye no longer needs it

 -- Gregor Riepl <onitake@gmail.com>  Mon, 09 Sep 2019 20:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
 Build-Depends: debhelper (>= 10), cmake (>=2.8.12)
-Standards-Version: 4.1.4
-X-Python3-Version: >= 3.5
+Standards-Version: 4.4.0
 Section: misc
 Homepage: https://github.com/Ultimaker/fdm_materials
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/fdm-materials

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/fdm_materials-$1\.tar\.gz/ \
  https://github.com/Ultimaker/fdm_materials/tags  .*/archive/(\d\.\S+)\.tar\.gz

## fdm-materials 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(fdm_materials NONE)
+project(fdm-materials NONE)
 
 cmake_minimum_required(VERSION 2.8.12)
 
@@ -16,7 +16,7 @@
     set(INSTALL_PATH "share/fdm_materials"
         CACHE STRING
         "Destination to install the materials to. Should be relative to CMAKE_INSTALL_PREFIX")
-    
+
     if(IS_ABSOLUTE ${INSTALL_PATH})
         set(INSTALL_PATH ${INSTALL_PATH})
     else()

=== debian/changelog ===
fdm-materials (4.6.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 21:47:13 +0200

fdm-materials (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 13:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), cmake (>= 2.8.12)
+Standards-Version: 4.5.0
 Section: misc
 Homepage: https://github.com/Ultimaker/fdm_materials
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/fdm-materials

## fdm-materials 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,23 +29,6 @@
 # Determine version number
 find_package(Git)
 
-set(GIT_VERSION "unknown")
-if(GIT_FOUND)
-    execute_process(
-        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-        COMMAND ${GIT_EXECUTABLE} describe --tags --dirty
-        OUTPUT_VARIABLE GIT_VERSION
-        RESULT_VARIABLE GIT_RETURN_VALUE
-        ERROR_QUIET
-        OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-    if(NOT GIT_RETURN_VALUE AND GIT_VERSION)
-        string(REPLACE "/" "_" GIT_VERSION ${GIT_VERSION})
-        set(CPACK_PACKAGE_VERSION "${GIT_VERSION}")
-    endif()
-    message("Package version derived from git: ${GIT_VERSION}")
-endif()
-
 if (DEFINED ENV{GITHUB_ACTIONS})
     set(CPACK_PACKAGE_VERSION "${GIT_VERSION}+$ENV{GITHUB_SHA}")
 endif()

=== debian/changelog ===
fdm-materials (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Nov 2020 16:22:21 +0100

fdm-materials (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:19:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fdm-materials
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends: debhelper-compat (= 12), cmake (>= 2.8.12)
 Standards-Version: 4.5.0
 Section: misc

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/fdm_materials-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/Ultimaker/fdm_materials/tags  .*/archive/(\d\.\S+)\.tar\.gz

## fdm-materials 4.13.0

=== debian/changelog ===
fdm-materials (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0.
  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Jan 2022 12:55:28 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/fdm_materials-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/Ultimaker/fdm_materials/tags  .*/(\d\.\S+)\.tar\.gz

## fdm-materials 5.0.0

=== debian/changelog ===
fdm-materials (5.0.0-3) unstable; urgency=medium

  * Add compatibility with cmake 4. (Closes: #1112909)

 -- Gregor Riepl <onitake@gmail.com>  Sun, 26 Oct 2025 20:43:28 +0100

fdm-materials (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 21:21:57 +0200

fdm-materials (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 24 May 2022 09:41:10 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 12), cmake (>= 2.8.12)
+Build-Depends: debhelper-compat (= 12), cmake
 Standards-Version: 4.5.0
 Section: misc
 Homepage: https://github.com/Ultimaker/fdm_materials

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure $@ -- -DCMAKE_POLICY_VERSION_MINIMUM=3.10
